> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Custody Wallet

> Lists all org custody wallets with balances, provider, parent wallet and linked grants, investments and warrants.

Required scope: `wallets:read`

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-all-custody-wallet
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-all-custody-wallet:
    get:
      operationId: getAllCustodyWallet
      summary: Get All Custody Wallet
      x-toku-required-scope: wallets:read
      description: >-
        Lists all org custody wallets with balances, provider, parent wallet and
        linked grants, investments and warrants.


        Required scope: `wallets:read`
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAllCustodyWalletResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetAllCustodyWalletResponse:
      type: array
      items:
        type: object
        properties:
          custodyWalletID:
            type:
              - string
              - 'null'
          walletAddress:
            type:
              - string
              - 'null'
          walletLink:
            type:
              - string
              - 'null'
          networkName:
            type:
              - string
              - 'null'
          originalWalletAllocation:
            type:
              - array
              - 'null'
            items:
              type: object
              properties:
                createdAt:
                  type:
                    - string
                    - 'null'
                updatedAt:
                  type:
                    - string
                    - 'null'
                investorEntityID:
                  type:
                    - string
                    - 'null'
                investmentID:
                  type:
                    - string
                    - 'null'
                roleInOrgID:
                  type:
                    - string
                    - 'null'
                warrantID:
                  type:
                    - string
                    - 'null'
                grantID:
                  type:
                    - string
                    - 'null'
                custodyWalletID:
                  type:
                    - string
                    - 'null'
                custodyAllocationID:
                  type:
                    - string
                    - 'null'
                allocationAmount:
                  type:
                    - string
                    - 'null'
                lastReconciledAt:
                  type:
                    - string
                    - 'null'
          currentBalance:
            type:
              - string
              - 'null'
          custodyProvider:
            type:
              - string
              - 'null'
          linkedGrants:
            type:
              - array
              - 'null'
            items:
              type: object
              properties:
                grantID:
                  type:
                    - string
                    - 'null'
                grantName:
                  type:
                    - string
                    - 'null'
          balanceUpdatedAt:
            type:
              - string
              - 'null'
          gasBalance:
            type:
              - string
              - 'null'
          gasBalanceUpdatedAt:
            type:
              - string
              - 'null'
          walletName:
            type:
              - string
              - 'null'
          linkedInvestments:
            type:
              - array
              - 'null'
            items:
              type: object
              properties:
                investmentID:
                  type:
                    - string
                    - 'null'
                investmentName:
                  type:
                    - string
                    - 'null'
          parentCustodyWalletID:
            type:
              - string
              - 'null'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
